[PATCH] zdtm: Test for post-dump ret code

Cyrill Gorcunov gorcunov at openvz.org
Mon Jul 15 08:06:40 EDT 2013


post-dump script we use in zdtm is exiting with special code 32
which allows us to figure out if there were error or not.

Signed-off-by: Cyrill Gorcunov <gorcunov at openvz.org>
---
 test/zdtm.sh | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/test/zdtm.sh b/test/zdtm.sh
index bacdfb0..9620c1e 100755
--- a/test/zdtm.sh
+++ b/test/zdtm.sh
@@ -389,10 +389,11 @@ EOF
 
 		save_fds $PID  $ddump/dump.fd
 		setsid $CRIU_CPT dump $opts --file-locks --tcp-established $linkremap \
-			-x --evasive-devices -D $ddump -o dump.log -v4 -t $PID $args $ARGS $snapopt || {
+			-x --evasive-devices -D $ddump -o dump.log -v4 -t $PID $args $ARGS $snapopt
+		if [ $? -ne 32 ]; then
 			echo WARNING: process $tname is left running for your debugging needs
 			return 1
-		}
+		fi
 
 		if [ -n "$SNAPSHOT" ]; then
 			snappdir=../`basename $ddump`
-- 
1.8.1.4


--cmJC7u66zC7hs+87--


More information about the CRIU mailing list